Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface BasicModelEditor

    com.change_vision.jude.api.inf.editor.BasicModelEditor

    public BasicModelEditor

Interface to edit (create/delete) UML Models. Throws Exception when invalid models are generated. (e.g. Duplicated models with the same name are created in a package.)

Method Summary
`abstract void` | `changeParent(INamedElement newParent, INamedElement element)` Change a parent.
`abstract IArtifact` | `createArtifact(IPackage parentPackage, String name)` Create an Artifact in a parent package.
`abstract IAssociation` | `createAssociation(IClass class1, IClass class2, String name, String sourceEndRollName, String targetEndRollName)` Create an association between classes.
`abstract IAssociationClass` | `createAssociationClass(IClass class1, IClass class2, String name, String sourceEndRollName, String targetEndRollName)` Create an association class between classes.
`abstract IAttribute` | `createAttribute(IClass parentClass, String name, IClass type)` Create an attribute in a class.
`abstract IAttribute` | `createAttribute(IClass parentClass, String name, String typeExpression)` Create an attribute in a class.
`abstract IClass` | `createClass(IPackage parentPackage, String name)` Create a class in a parent package.
`abstract IClass` | `createClass(IClass parentClass, String name)` Create a class in a parent class.
`abstract IComponent` | `createComponent(IPackage parentPackage, String name)` Create a Component in a parent package.
`abstract IConstraint` | `createConstraint(INamedElement namedElement, String name)` Create a constraint to a named element.
`abstract IDependency` | `createCopyDependency(IRequirement source, IRequirement target, String name)` Create a Copy dependency between models.
`abstract IDependency` | `createDependency(INamedElement source, INamedElement target, String name)` Create a dependency between models.
`abstract IDependency` | `createDeriveReqtDependency(IRequirement source, IRequirement target, String name)` Create a DeriveReqt dependency between models.
`abstract IGeneralization` | `createGeneralization(IClass subClass, IClass superClass, String name)` Create a generalization between classes.
`abstract IClass` | `createInterface(IPackage parentPackage, String name)` Create an interface in a parent package.
`abstract IClass` | `createInterface(IClass parentClass, String name)` Create an interface in a parent class.
`abstract IModel` | `createModel(IPackage parentPackage, String name)` Create a model in a parent package.
`abstract INode` | `createNode(IPackage parentPackage, String name)` Create a Node in a parent package.
`abstract IOperation` | `createOperation(IClass parentClass, String name, IClass returnType)` Create an operation in a class.
`abstract IOperation` | `createOperation(IClass parentClass, String name, String returnTypeExpression)` Create an operation in a class.
`abstract IPackage` | `createPackage(IPackage parentPackage, String name)` Create a package in a parent package.
`abstract IParameter` | `createParameter(IOperation operation, String name, IClass type)` Create a parameter in an operation.
`abstract IParameter` | `createParameter(IOperation operation, String name, String typeExpression)` Create a parameter in an operation.
`abstract IPort` | `createPort(IClass owner, String name)` Create a port in a class.
`abstract IAttribute` | `createQualifier(IAttribute attribute, String name, IClass type)` Create a qualifier to an attribute.
`abstract IRealization` | `createRealization(IClass client, IClass supplier, String name)` Create a realization between a class and an interface.
`abstract IDependency` | `createRefineDependency(INamedElement source, IRequirement target, String name)` Create a Refine dependency between models.
`abstract IRequirement` | `createRequirement(IPackage parentPackage, String name)` Create a Requirement in a parent package.
`abstract IRequirement` | `createRequirement(int IRequirement parentRequirement, int String name)` Create a Requirement in a parent Requirement.
`abstract IDependency` | `createSatisfyDependency(INamedElement source, IRequirement target, String name)` Create a Satisfy dependency between models.
`abstract IPackage` | `createSubsystem(IPackage parentPackage, String name)` Create a subsystem in a parent package.
`abstract ITaggedValue` | `createTaggedValue(IElement element, String tag, String value)` Create a tagged value to an element.
`abstract ITemplateBinding` | `createTemplateBinding(IClass boundElement, IClass template)` Create a template binding between a bound element and a class.
`abstract IClassifierTemplateParameter` | `createTemplateParameter(IClass klass, String name, IClass type, Object defaultValue)` Create a template parameter in a class.
`abstract IClassifierTemplateParameter` | `createTemplateParameter(IClass targetClass, String name, String typeString, Object defaultValue)` Create a template parameter in a class.
`abstract ITestCase` | `createTestCase(IPackage parentPackage, String name)` Create a TestCase in a parent package.
`abstract ITestCase` | `createTestCase(ITestCase parentTestCase, String name)` Create a TestCase in a parent TestCase.
`abstract IDependency` | `createTraceDependency(IRequirement source, IRequirement target, String name)` Create a Trace dependency between models.
`abstract IUsage` | `createUsage(IClass client, IClass supplier, String name)` Create a usage between models.
`abstract IDependency` | `createVerifyDependency(ITestCase source, IRequirement target, String name)` Create a Verify dependency between models.
`abstract void` | `delete(IElement element)` Delete models or elements from a project.
`abstract void` | `setLanguageCPlus(IModel project, boolean doApply)` Add/Delete C++ Language from a project.
`abstract void` | `setLanguageCSharp(IModel project, boolean doApply)` Add/Delete C# Language from a project.
`abstract void` | `setLanguageJava(IModel project, boolean doApply)` Add/Delete Java Language from a project.

Method Detail

### createPackage

    abstract IPackage createPackage(IPackage parentPackage,
                                    String name)

  Create a package in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Package Name
  Returns:
    IPackage Package
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createModel

    abstract IModel createModel(IPackage parentPackage,
                                String name)

  Create a model in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Model Name
  Returns:
    IModel Model
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createSubsystem

    abstract IPackage createSubsystem(IPackage parentPackage,
                                      String name)

  Create a subsystem in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Subsystem Name
  Returns:
    IPackage Subsystem
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createClass

    abstract IClass createClass(IPackage parentPackage,
                                String name)

  Create a class in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Class Name
  Returns:
    IClass Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createClass

    abstract IClass createClass(IClass parentClass,
                                String name)

  Create a class in a parent class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Class Name
  Returns:
    IClass Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createInterface

    abstract IClass createInterface(IPackage parentPackage,
                                    String name)

  Create an interface in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Interface Name
  Returns:
    IClass Interface
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createInterface

    abstract IClass createInterface(IClass parentClass,
                                    String name)

  Create an interface in a parent class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Interface Name
  Returns:
    IClass Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAttribute

    abstract IAttribute createAttribute(IClass parentClass,
                                        String name,
                                        IClass type)

  Create an attribute in a class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Attribute Name
    `type` - Attribute Type
  Returns:
    IAttribute Attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createPort

    abstract IPort createPort(IClass owner,
                              String name)

  Create a port in a class.

  Parameters:
    `owner` - Port Owner
    `name` - Port Name
  Returns:
    IPort Port
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAttribute

    abstract IAttribute createAttribute(IClass parentClass,
                                        String name,
                                        String typeExpression)

  Create an attribute in a class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Attribute Name
    `typeExpression` - Type Expression
  Returns:
    IAttribute Attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createOperation

    abstract IOperation createOperation(IClass parentClass,
                                        String name,
                                        IClass returnType)

  Create an operation in a class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Operation Name
    `returnType` - Return Type, Null can be set as return Type to create a constructor.
  Returns:
    IOperation Operation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createOperation

    abstract IOperation createOperation(IClass parentClass,
                                        String name,
                                        String returnTypeExpression)

  Create an operation in a class.

  Parameters:
    `parentClass` - ParentClass
    `name` - Operation Name
    `returnTypeExpression` - Return Type Expression, "" or null can be set as returnTypeExpression to create a constructor.
  Returns:
    IOperation Operation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createParameter

    abstract IParameter createParameter(IOperation operation,
                                        String name,
                                        IClass type)

  Create a parameter in an operation.

  Parameters:
    `operation` - Operation
    `name` - Parameter Name
    `type` - Parameter Type
  Returns:
    IParameter Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createParameter

    abstract IParameter createParameter(IOperation operation,
                                        String name,
                                        String typeExpression)

  Create a parameter in an operation.

  Parameters:
    `operation` - Operation
    `name` - Parameter Name
    `typeExpression` - Parameter Type Expression
  Returns:
    IParameter Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAssociation

    abstract IAssociation createAssociation(IClass class1,
                                            IClass class2,
                                            String name,
                                            String sourceEndRollName,
                                            String targetEndRollName)

  Create an association between classes.

  Parameters:
    `class1` - Start Class of Association
    `class2` - End Class of Association
    `name` - Association Name
    `sourceEndRollName` - Roll Name of Source End
    `targetEndRollName` - Roll Name of Target End
  Returns:
    IAssociation Association
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAssociationClass

    abstract IAssociationClass createAssociationClass(IClass class1,
                                                      IClass class2,
                                                      String name,
                                                      String sourceEndRollName,
                                                      String targetEndRollName)

  Create an association class between classes.

  Parameters:
    `class1` - Start Class of Association
    `class2` - End Class of Association
    `name` - Association Class Name
    `sourceEndRollName` - Roll Name of Source End
    `targetEndRollName` - Roll Name of Target End
  Returns:
    IAssociationClass Association Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createGeneralization

    abstract IGeneralization createGeneralization(IClass subClass,
                                                  IClass superClass,
                                                  String name)

  Create a generalization between classes.

  Parameters:
    `subClass` - Sub Class (Child)
    `superClass` - Super Class (Parent)
    `name` - Generalization Name
  Returns:
    IGeneralization Generalization
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              CLASSIFIER_LOOP_KEY - if a generalization loop is found.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              GENERALIZATION_EXIST_KEY - if a generalization already exist.
              LEAF_ERROR_KEY - if a child element is added to a leaf element,
                               or an element with a child element is set as a leaf.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createRealization

    abstract IRealization createRealization(IClass client,
                                            IClass supplier,
                                            String name)

  Create a realization between a class and an interface.

  Parameters:
    `client` - Class to Realize
    `supplier` - Interface
    `name` - Realization Name
  Returns:
    IRealization Realization
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              REALIZATION_EXIST_KEY - if a realization already exist.
              INVALID_REALIZATION_KEY - if a target of a realization is not an interface.
              REALIZATION_LOOP_ERROR_KEY - if a realization loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createUsage

    abstract IUsage createUsage(IClass client,
                                IClass supplier,
                                String name)

  Create a usage between models.

  Parameters:
    `client` - Client Model
    `supplier` - Supplier Model
    `name` - Usage Name
  Returns:
    IUsage Usage
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              USAGE_EXIST_KEY - if a usage already exist.
              INVALID_USAGE_KEY - if a target of a usage is not an interface.
              USAGE_LOOP_ERROR_KEY - if a usage loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createDependency

    abstract IDependency createDependency(INamedElement source,
                                          INamedElement target,
                                          String name)

  Create a dependency between models.

  Parameters:
    `source` - Source Model
    `target` - Target Model
    `name` - Dependency Name
  Returns:
    IDependency Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTaggedValue

    abstract ITaggedValue createTaggedValue(IElement element,
                                            String tag,
                                            String value)

  Create a tagged value to an element.

  Parameters:
    `element` - Element
    `tag` - Tag
    `value` - Value
  Returns:
    ITaggedValue Tagged Value
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly. When it begins in "astah" or "jude", it becomes the error.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              TAGGEDVALUE_TARGET_ERROR_KEY - if the tagged value cannot be set to the specified model.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createConstraint

    abstract IConstraint createConstraint(INamedElement namedElement,
                                          String name)

  Create a constraint to a named element.

  Parameters:
    `namedElement` - Named Element
    `name` - Constraint Name
  Returns:
    IConstraint Constraint
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createQualifier

    abstract IAttribute createQualifier(IAttribute attribute,
                                        String name,
                                        IClass type)

  Create a qualifier to an attribute.

  Parameters:
    `attribute` - Attribute
    `name` - Qualifier Name
    `type` - Type
  Returns:
    IAttribute Attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_ASSOCIATION_END_ERROR_KEY - if an association end does not exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTemplateBinding

    abstract ITemplateBinding createTemplateBinding(IClass boundElement,
                                                    IClass template)

  Create a template binding between a bound element and a class.

  Parameters:
    `boundElement` - Bound Element
    `template` - Template Class
  Returns:
    ITemplateBinding Template Binding
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              INVALID_TEMPLATE_KEY - if the target of the template binding is not correct.
              TEMPLATEBINDING_LOOP_ERROR_KEY - if the template binding loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTemplateParameter

    abstract IClassifierTemplateParameter createTemplateParameter(IClass klass,
                                                                  String name,
                                                                  IClass type,
                                                                  Object defaultValue)

  Create a template parameter in a class.

  Parameters:
    `class` - Class
    `name` - Template Parameter Name
    `type` - Type
    `defaultValue` - Default Value
  Returns:
    IClassifierTemplateParameter Template Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_KEY - if the default value cannot be set to The template parameter.
              NO_NAME_ERROR_KEY - if the name is empty.
              INVALID_TEMPLATE_KEY - if the target of the template binding is not correct.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTemplateParameter

    abstract IClassifierTemplateParameter createTemplateParameter(IClass targetClass,
                                                                  String name,
                                                                  String typeString,
                                                                  Object defaultValue)

  Create a template parameter in a class.

  Parameters:
    `class` - Class
    `name` - Template Parameter Name
    `typeString` - Type
    `defaultValue` - Default Value
  Returns:
    IClassifierTemplateParameter Template Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_KEY - if the default value cannot be set to The template parameter.
              NO_NAME_ERROR_KEY - if the name is empty.
              INVALID_TEMPLATE_KEY - if the target of the template binding is not correct.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createRequirement

    abstract IRequirement createRequirement(IPackage parentPackage,
                                            String name)

  Create a Requirement in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Requirement Name
  Returns:
    IRequirement Requirement
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createRequirement

    abstract IRequirement createRequirement(int IRequirement parentRequirement,
                                            int String name)

  Create a Requirement in a parent Requirement.

  Parameters:
    `parentRequirement` - Parent Requirement
    `name` - Requirement Name
  Returns:
    IRequirement Requirement
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTestCase

    abstract ITestCase createTestCase(IPackage parentPackage,
                                      String name)

  Create a TestCase in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - TestCase Name
  Returns:
    ITestCase TestCase
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             NO_NAME_ERROR_KEY - if the name is empty.
             NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

### createTestCase

    abstract ITestCase createTestCase(ITestCase parentTestCase,
                                      String name)

  Create a TestCase in a parent TestCase.

  Parameters:
    `parentTestCase` - Parent TestCase
    `name` - TestCase Name
  Returns:
    ITestCase TestCase
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             NO_NAME_ERROR_KEY - if the name is empty.
             NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

### createDeriveReqtDependency

    abstract IDependency createDeriveReqtDependency(IRequirement source,
                                                    IRequirement target,
                                                    String name)

  Create a DeriveReqt dependency between models.

  Parameters:
    `source` - Source Requirement
    `target` - Target Requirement
    `name` - DeriveReqt Dependency Name
  Returns:
    IDependency DeriveReqt Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createCopyDependency

    abstract IDependency createCopyDependency(IRequirement source,
                                              IRequirement target,
                                              String name)

  Create a Copy dependency between models.

  Parameters:
    `source` - Source Requirement
    `target` - Target Requirement
    `name` - Copy Dependency Name
  Returns:
    IDependency Copy Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createSatisfyDependency

    abstract IDependency createSatisfyDependency(INamedElement source,
                                                 IRequirement target,
                                                 String name)

  Create a Satisfy dependency between models.

  Parameters:
    `source` - Source Model [Model] (Package, Model, Subsystem, Class (Entity, Boundary, Control), Association Class, Interface, Actor, UseCase, Requirement, TestCase)
    `target` - Target Requirement
    `name` - Satisfy Dependency Name
  Returns:
    IDependency Satisfy Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createVerifyDependency

    abstract IDependency createVerifyDependency(ITestCase source,
                                                IRequirement target,
                                                String name)

  Create a Verify dependency between models.

  Parameters:
    `source` - Source TestCase
    `target` - Target Requirement
    `name` - Verify Dependency Name
  Returns:
    IDependency Verify Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createRefineDependency

    abstract IDependency createRefineDependency(INamedElement source,
                                                IRequirement target,
                                                String name)

  Create a Refine dependency between models.

  Parameters:
    `source` - Source Model [Model] (Package, Model, Subsystem, Class (Entity, Boundary, Control), Association Class, Interface, Actor, UseCase, Requirement, TestCase)
    `target` - Target Requirement
    `name` - Refine Dependency Name
  Returns:
    IDependency Refine Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTraceDependency

    abstract IDependency createTraceDependency(IRequirement source,
                                               IRequirement target,
                                               String name)

  Create a Trace dependency between models.

  Parameters:
    `source` - Source Requirement
    `target` - Target Requirement
    `name` - Trace Dependency Name
  Returns:
    IDependency Trace Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### delete

    abstract void delete(IElement element)

  Delete models or elements from a project.

  Parameters:
    `element` - Element
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### changeParent

    abstract void changeParent(INamedElement newParent,
                               INamedElement element)

  Change a parent.

  Parameters:
    `newParent` - New Parent
    `element` - Element
  Throws:
    `ProjectNotFoundException` - Project cannot be found
    `ClassNotFoundException` - Cannot read some models
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_PARENT_KEY - if the parent is invalid.
         Values:
              Error messages for exceptions.

### setLanguageJava

    abstract void setLanguageJava(IModel project,
                                  boolean doApply)

  Add/Delete Java Language from a project.

  Parameters:
    `project` - Project
    `doApply` - add or delete
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
         Values:
              Error messages for exceptions.

### setLanguageCSharp

    abstract void setLanguageCSharp(IModel project,
                                    boolean doApply)

  Add/Delete C# Language from a project.

  Parameters:
    `project` - Project
    `doApply` - add or delete
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
         Values:
              Error messages for exceptions.

### setLanguageCPlus

    abstract void setLanguageCPlus(IModel project,
                                   boolean doApply)

  Add/Delete C++ Language from a project.

  Parameters:
    `project` - Project
    `doApply` - add or delete
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
         Values:
              Error messages for exceptions.

### createNode

    abstract INode createNode(IPackage parentPackage,
                              String name)

  Create a Node in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Node Name
  Returns:
    INode Node
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             NO_NAME_ERROR_KEY - if the name is empty.
             NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createComponent

    abstract IComponent createComponent(IPackage parentPackage,
                                        String name)

  Create a Component in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Component Name
  Returns:
    IComponent Component
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             NO_NAME_ERROR_KEY - if the name is empty.
             NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createArtifact

    abstract IArtifact createArtifact(IPackage parentPackage,
                                      String name)

  Create an Artifact in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Artifact Name
  Returns:
    IArtifact Artifact
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             NO_NAME_ERROR_KEY - if the name is empty.
             NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD